TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.CMLedgerListenerInfo Class Reference

This class represents a summary about a single registered TIBCO Rendezvous certified listener that the EMS server exports messages to. More...

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
long | LastConf`[get]`
| Returns the TIBCO Rendezvous Certified Messaging sequence number of the last message for which the listener confirmed delivery. More...
string | Name`[get]`
| Returns the name of the TIBCO Rendezvous certified listener that this object summarizes. More...
bool | Dynamic`[get]`
| Indicates whether or not the TIBCO Rendezvous certified listener had been pre-registered or whether it was created dynamically. More...

## Detailed Description

This class represents a summary about a single registered TIBCO Rendezvous certified listener that the EMS server exports messages to.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.CMLedgerListenerInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

bool TIBCO.EMS.ADMIN.CMLedgerListenerInfo.Dynamic
| get

Indicates whether or not the TIBCO Rendezvous certified listener had been pre-registered or whether it was created dynamically.

Returns
  true if TIBCO Rendezvous certified listener had been created dynamically, false if it was pre-registered.

long TIBCO.EMS.ADMIN.CMLedgerListenerInfo.LastConf
| get

Returns the TIBCO Rendezvous Certified Messaging sequence number of the last message for which the listener confirmed delivery.

Returns
  the sequence number of the last message for which the listener confirmed delivery.

string TIBCO.EMS.ADMIN.CMLedgerListenerInfo.Name
| get

Returns the name of the TIBCO Rendezvous certified listener that this object summarizes.

Returns
  the name of the TIBCO Rendezvous certified listener that this object summarizes.